using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Assets.Scripts
{
    public class Gift
    {
        public Gift(string name, string path, params Aspect[] aspects)
        {
            Name = name;
            Path = path;
            Aspects = aspects.ToList();
        }
        public string Name { get; set; }
        public string Path { get; set; }
        public List<Aspect> Aspects { get; set; }
    }

    public class Gifts
    {
        public static List<Gift> GiftList;

        public static void InitGifts()
        {
            if (GiftList != null) return;

            GiftList = new List<Gift>();

            GiftList.Add(new Gift("Rose", "Rose", Aspect.Gardening, Aspect.Beauty, Aspect.Romantic));
            GiftList.Add(new Gift("Chocolates", "Chocolates", Aspect.Sweet, Aspect.Foodie, Aspect.Comfort));
            GiftList.Add(new Gift("Coloring Book", "ColoringBook", Aspect.Artistic, Aspect.Colorful, Aspect.Kids ));
            GiftList.Add(new Gift("Rubik's Cube", "RubiksCube", Aspect.Puzzle, Aspect.Gaming, Aspect.Intelligence));
            GiftList.Add(new Gift("Portable Camera", "Camera", Aspect.Travel, Aspect.Artistic, Aspect.Technology));
            GiftList.Add(new Gift("Gift Card", "GiftCard", Aspect.Shopping, Aspect.Practical, Aspect.Money));
            GiftList.Add(new Gift("Snowboard", "Snowboard", Aspect.Sports, Aspect.Winter, Aspect.Outdoors));
            GiftList.Add(new Gift("History of Music", "MusicHistory", Aspect.Reading, Aspect.Intelligence, Aspect.Musical));
            GiftList.Add(new Gift("Gaming Console", "Console", Aspect.Gaming, Aspect.Technology, Aspect.Indoors));
            GiftList.Add(new Gift("Photo Album", "PhotoAlbum", Aspect.Family, Aspect.Travel, Aspect.Antique));
            GiftList.Add(new Gift("Sci-Fi VHS Set", "VHS", Aspect.Media, Aspect.Indoors, Aspect.Antique));
            GiftList.Add(new Gift("Frisbee", "Frisbee", Aspect.Summer, Aspect.Pets, Aspect.Outdoors));
            GiftList.Add(new Gift("Classic Records", "Records", Aspect.Musical, Aspect.Antique, Aspect.Comfort));
            GiftList.Add(new Gift("Sous Vide", "SousVide", Aspect.Cooking, Aspect.Practical, Aspect.Foodie));
            GiftList.Add(new Gift("Pumpkin", "Pumpkin", Aspect.Cooking, Aspect.Sweet, Aspect.Fall));
            GiftList.Add(new Gift("Potted Plant", "PottedPlant", Aspect.Spring, Aspect.Gardening, Aspect.Colorful));
            GiftList.Add(new Gift("Joke Book", "Jokes", Aspect.Fun, Aspect.Humor, Aspect.Reading));
            GiftList.Add(new Gift("Piggy Bank", "PiggyBank", Aspect.Kids, Aspect.Business, Aspect.Money));
            GiftList.Add(new Gift("UFC Tickets", "Tickets", Aspect.Sports, Aspect.Strength, Aspect.Media));
            GiftList.Add(new Gift("Grooming Brush", "Brush", Aspect.Beauty, Aspect.Pets, Aspect.Practical));
            GiftList.Add(new Gift("Black Friday Catalog", "Catalog", Aspect.Business, Aspect.Shopping, Aspect.Fall));
            GiftList.Add(new Gift("Christmas Carols Album", "Carols", Aspect.Winter, Aspect.Musical, Aspect.Family));
            //humor
            //puzzle
            //strength
            //spring
            //summer
        }
    }
}
